Bug 87605 - update technical dictionary
Summary: update technical dictionary
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords: difficultyBeginner, easyHack, skillScript, topicCleanup
Depends on:
Blocks:
 
Reported: 2014-12-22 18:25 UTC by Björn Michaelsen
Modified: 2017-03-04 08:30 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2014-12-22 18:25:26 UTC
The technical dictionary is at extras/source/wordbook/technical.dic in the source tree. As there are new technical terms coming up each year, it would be good to have these added to the dictionary for autocorrect not being a hassle for technical writing. As usual, please provide small-scoped patches that can be trivially reviewed and dont mix multiple issues at once.

https://gerrit.libreoffice.org/gitweb?p=core.git;a=blob;f=extras/source/wordbook/technical.dic;hb=HEAD
Comment 1 Robinson Tryon (qubit) 2015-12-14 05:29:48 UTC Comment hidden (obsolete)
Comment 2 Robinson Tryon (qubit) 2016-02-18 14:52:31 UTC Comment hidden (obsolete)
Comment 3 Commit Notification 2016-12-24 08:20:51 UTC
abdulwd committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1597730ac12e39d98c556bb5fe4be4c0b61b0567

tdf#87605 Added 'ANSI' to technical dictionary

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-12-25 07:32:14 UTC
tamsil1amani3 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10ef8042eb6c5ae75ea78688eb4289c74835d308

tdf#87605 Update technical dictionary

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-12-29 04:47:46 UTC
Huzaifa Iftikhar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d339feac2a4344aae4952890f0b608e24b177b63

tdf#87605 Added term 'Gerrit' to technical dictionary.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-02-06 14:31:13 UTC
Fakabbir Amin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cf2e9ded20d0b44d63ccf0a24e6506a960226bd4

tdf#87605 Added some new terms

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Kruno 2017-03-04 08:30:05 UTC
What does equal sign in some words mean? Why just on some words? Is there any documentation about this (my search didn't produced any results).

It's not language specific dictionary, can language specific dictionary be added alongside this one? It's necessary for handling cases and such. Can regular aff file be used with this?

What was main idea behind having those words in separate dictionary instead handling them in regular spell-checking dictionary?